- Classes
- Namespaces
- Interfaces
- Traits
- Index

PHP-FFMpeg API
Class

# FFMpeg\Filters\Audio\AudioResamplableFilter

class AudioResamplableFilter implements AudioFilterInterface

## Methods

| __construct($rate, $priority) |
integer | getPriority() Returns the priority of the filter. |
Integer | getRate() |
array | apply(Audio $audio, AudioInterface $format) Applies the filter on the the Audio media given an format. |

## Details

###
at line 24
`public __construct($rate, $priority)`

#### Parameters

| $rate |
| $priority |

###
at line 33
`public integer getPriority()`

Returns the priority of the filter.

#### Return Value

integer |

###
at line 42
`public Integer getRate()`

#### Return Value

Integer |

###
at line 50
`public array apply(Audio $audio, AudioInterface $format)`

Applies the filter on the the Audio media given an format.

#### Parameters

Audio | $audio |
AudioInterface | $format |

#### Return Value

array | An array of arguments